Name:           polyester3
Version:        1.0.4
Release:        1%{?dist}
Summary:        A style for KDE3

Group:          User Interface/Desktops
License:        LGPLv2
URL:            http://www.kde-look.org/content/show.php?content=27968
Source0:        http://www.notmart.org/files/polyester-%{version}.tar.bz2
Patch0:         polyester-1.0.3-no-kwin.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs3-devel

Conflicts:      polyester <= 1.90

%description
A widget style aimed to be 
a good balance between eyecandy and simplicity.


%prep
%setup -qn polyester-%{version}
%patch0 -p1 -b .no-kwin

# Correct some wrong chmods
find -name "pol*.h" -exec chmod 644 {} \;
find -name "pol*.cpp" -exec chmod 644 {} \;
find -name "pol*.cc" -exec chmod 644 {} \;
find -name "shadow*" -exec chmod 644 {} \;
chmod 644 AUTHORS ChangeLog style/misc.cpp

%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

# kwin decoration isn't needed with kde4
rm -rf client configure.kwin configure.in.kwin

%configure --disable-rpath

# Don't use rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%find_lang polyester

%clean
rm -rf %{buildroot}

%files -f polyester.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/kde3/kstyle_polyester_config.la
%{_libdir}/kde3/kstyle_polyester_config.so
%{_libdir}/kde3/plugins/styles/polyester.la
%{_libdir}/kde3/plugins/styles/polyester.so
# FIXME/TODO: Needed in kde4? (It's also present in polyester
# for KDE4)
%{_datadir}/apps/kdisplay/color-schemes/Polyester*.kcsrc
%{_datadir}/apps/kstyle/themes/polyester.themerc

%changelog
* Fri Feb 29 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.4-1
- new upstream version: 1.0.4

* Thu Jan 17 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.3-1
- new upstream version: 1.0.3

* Wed Jan 16 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.0.2-1
- Initial version for the kde3 only style
